import * as Winston from 'winston';
import { LogLevel } from './config/logger';
export declare class Logger {
    level: LogLevel;
    winston: Winston.LoggerInstance;
    private config;
    constructor();
    isDebugEnabled(): boolean;
    isInfoEnabled(): boolean;
    isWarnEnabled(): boolean;
    isErrorEnabled(): boolean;
    debug(...args: Array<any>): void;
    info(...args: Array<any>): void;
    warn(...args: Array<any>): void;
    error(...args: Array<any>): void;
    inspectObject(object: any): void;
    private instantiateLogger;
}
