import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
export declare class ApiAuth {
    private logger;
    private middlewareLoader;
    private requestLogger;
    authentication(apiRouter: express.Router, apiKey: string, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    private resolveReferences;
    private createAuthenticator;
    private createAuthenticatorForGroup;
    private sortMiddlewares;
}
