import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
export declare class ApiCircuitBreaker {
    private logger;
    private middlewareLoader;
    private requestLogger;
    private activeBreakers;
    circuitBreaker(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    onStateChanged(id: string, state: string): void;
    removeAllBreakers(): void;
    private resolveReferences;
    private configureCircuitBreakerEventListeners;
    private setupMiddlewares;
    private buildMiddleware;
    private sortBreakers;
    private addStopListeners;
}
