import * as corsLib from 'cors';
import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiCorsConfig } from '../../config/cors';
import { ApiPipelineConfig } from '../../config/gateway';
export declare class ApiCors {
    private logger;
    private middlewareLoader;
    cors(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    configureCorsOptions(cors: ApiCorsConfig): corsLib.CorsOptions;
    private resolveReferences;
    private setupMiddlewares;
    private buildMiddleware;
    private sortMiddlewares;
}
