import * as express from 'express';
import { Group } from '../config/group';
export declare function filter(groups: Array<Group>, groupIds: Array<string>): Group[];
export declare function buildGroupAllowFilter(groups: Array<Group>, groupIds: Array<string>): (req: express.Request, res: express.Response) => boolean;
export declare function buildGroupAllowTest(request: string, groups: Array<Group>, groupIds: Array<string>): string;
export declare function buildGroupDenyFilter(groups: Array<Group>, names: Array<string>): (req: express.Request, res: express.Response) => boolean;
export declare function buildGroupDenyTest(request: string, groups: Array<Group>, names: Array<string>): string;
export declare function buildGroupNotAllowFilter(groups: Array<Group>, groupIds: Array<string>): (req: express.Request, res: express.Response) => boolean;
export declare function buildGroupNotAllowTest(request: string, groups: Array<Group>, names: Array<string>): string;
