import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
export declare class ApiRateLimit {
    private logger;
    private middlewareLoader;
    private requestLogger;
    throttling(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    private resolveReferences;
    private configureThrottlingHandlerFunction;
    private setupMiddlewares;
    private buildMiddleware;
    private sortLimiters;
}
