import { MiddlewareService } from '../middleware';
export declare class RedisMiddlewareService implements MiddlewareService {
    private static MIDDLEWARE_PREFIX;
    private static ADMIN_API;
    private database;
    list(middleware: string, filter?: string): Promise<Array<string>>;
    add(middleware: string, name: string, content: Buffer): Promise<string>;
    remove(middleware: string, name: string): Promise<void>;
    update(middleware: string, name: string, content: Buffer, upsert?: boolean): Promise<void>;
    read(middleware: string, name: string): Promise<Buffer>;
    private save;
    private ensureMiddlewareCreateConstraints;
    private ensureMiddlewareUpdateConstraints;
}
