'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
function createFunction(contextVars, ...args) {
    const params = args.length > 1 ? args.slice(0, args.length - 1) : [];
    const constextVarNames = _.keys(contextVars);
    const body = args[args.length - 1];
    const func = new Array();
    func.push(`(function(${constextVarNames.join(',')}){return function(${params.join(',')}){`);
    func.push(body);
    func.push(`};})(${constextVarNames.map(varName => 'contextVars[\'' + varName + '\']').join(',')});`);
    // tslint:disable-next-line:no-eval
    return eval(func.join(''));
}
exports.createFunction = createFunction;
//# sourceMappingURL=functions.js.map