'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("lodash");
const humanInterval = require('human-interval');
humanInterval.languageMap['eleven'] = 11;
humanInterval.languageMap['twelve'] = 12;
humanInterval.languageMap['thirteen'] = 13;
humanInterval.languageMap['fourteen'] = 14;
humanInterval.languageMap['fifteen'] = 15;
humanInterval.languageMap['sixteen'] = 16;
humanInterval.languageMap['seventeen'] = 17;
humanInterval.languageMap['eighteen'] = 18;
humanInterval.languageMap['nineteen'] = 19;
humanInterval.languageMap['twenty'] = 20;
humanInterval.languageMap['thirty'] = 30;
humanInterval.languageMap['fourty'] = 40;
humanInterval.languageMap['fifty'] = 50;
humanInterval.languageMap['sixty'] = 60;
humanInterval.languageMap['seventy'] = 70;
humanInterval.languageMap['eighty'] = 80;
humanInterval.languageMap['ninety'] = 90;
humanInterval.languageMap['hundred'] = 100;
function getMilisecondsInterval(value, defaultValue) {
    if (!value) {
        return defaultValue;
    }
    if (_.isNumber(value)) {
        return value;
    }
    return humanInterval(value);
}
exports.getMilisecondsInterval = getMilisecondsInterval;
//# sourceMappingURL=time-intervals.js.map