'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_ioc_1 = require("typescript-ioc");
const typescript_rest_1 = require("typescript-rest");
const swagger = require("typescript-rest-swagger");
const gateway_1 = require("../../config/gateway");
const gateway_2 = require("../../service/gateway");
let GatewayRest = class GatewayRest {
    async updateConfig(config) {
        await gateway_1.validateGatewayConfig(config);
        await this.service.save(config);
    }
    async removeConfig() {
        await this.service.remove();
    }
    async getConfig() {
        return await this.service.read();
    }
};
__decorate([
    typescript_ioc_1.Inject,
    __metadata("design:type", gateway_2.GatewayService)
], GatewayRest.prototype, "service", void 0);
__decorate([
    typescript_rest_1.PUT,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object]),
    __metadata("design:returntype", Promise)
], GatewayRest.prototype, "updateConfig", null);
__decorate([
    typescript_rest_1.DELETE,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], GatewayRest.prototype, "removeConfig", null);
__decorate([
    typescript_rest_1.GET,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], GatewayRest.prototype, "getConfig", null);
GatewayRest = __decorate([
    typescript_rest_1.Path('gateway'),
    swagger.Tags('Gateway'),
    swagger.Security('Bearer')
], GatewayRest);
exports.GatewayRest = GatewayRest;
//# sourceMappingURL=gateway.js.map