import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
/**
 * The API Error handler. Called to handle errors in API pipeline processing.
 */
export declare class ApiErrorHandler {
    private config;
    private logger;
    private middlewareLoader;
    private requestLogger;
    /**
     * Configure a proxy for a given API
     */
    handle(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    private configureErrorHandler;
    private resolveReferences;
    private getAppErrorHandler;
}
