import * as express from 'express';
import { ApiConfig } from '../../config/api';
import { ApiPipelineConfig } from '../../config/gateway';
import { MiddlewareConfig } from '../../config/middleware';
export declare class ApiFilter {
    private middlewareLoader;
    private logger;
    buildApiFilters(apiRouter: express.Router, api: ApiConfig, pipelineConfig: ApiPipelineConfig): void;
    buildGatewayFilters(apiRouter: express.Router, filters: Array<MiddlewareConfig>): void;
    private buildCustomFilters;
    private resolveReferences;
    private buildAllowFilter;
    private buildDenyFilter;
    private hasCustomFilter;
}
