import { EventEmitter } from 'events';
import { ApiConfig } from '../../config/api';
import { ConfigService } from '../config';
export declare class RedisConfigService extends EventEmitter implements ConfigService {
    private logger;
    private apiService;
    private middlewareInstaller;
    private database;
    private subscribed;
    getApiConfig(apiId: string): Promise<ApiConfig>;
    getAllApiConfig(): Promise<Array<ApiConfig>>;
    subscribeEvents(): Promise<void>;
    installAllMiddlewares(): Promise<void>;
    private runAfterMiddlewareInstallations;
}
