import { GatewayConfig } from '../../config/gateway';
import { GatewayService } from '../gateway';
export declare class RedisGatewayService implements GatewayService {
    private static GATEWAY_CONFIG_KEY;
    private static ADMIN_API;
    private database;
    remove(): Promise<void>;
    save(config: GatewayConfig): Promise<void>;
    read(): Promise<GatewayConfig>;
    get(): Promise<GatewayConfig>;
    registerGatewayVersion(): Promise<void>;
    /**
     * This function cast all array properties inside gateway configuration to array.
     * It is used to allow user to configure array properties as a single item too.
     * @param gateway Gateway configuration
     */
    private castArrays;
}
